// $Id$
/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.definedterm;

import java.util.UUID;

import eu.etaxonomy.cdm.api.service.ITermService;
import eu.etaxonomy.cdm.model.common.DefinedTermBase;
import eu.etaxonomy.taxeditor.model.CdmObjectTransfer;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author l.morris
 * @date 10 Jan 2012
 *
 */
public class TermTransfer extends CdmObjectTransfer<DefinedTermBase> {
	
	private static TermTransfer instance = new TermTransfer();
	private static final String TYPE_NAME = "termElement-transfer-format";
	private static final int TYPEID = registerType(TYPE_NAME);
	
	public static synchronized TermTransfer getInstance(){
		return instance;
	}
	
	private TermTransfer() {}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.model.CdmObjectTransfer#loadElement(java.util.UUID)
	 */
	@Override
	public DefinedTermBase loadElement(UUID uuid) {
		return CdmStore.getService(ITermService.class).load(uuid);
	}

	/* (non-Javadoc)
	 * @see org.eclipse.swt.dnd.Transfer#getTypeIds()
	 */
	@Override
	protected int[] getTypeIds() {
		return new int[] { TYPEID };
	}

	/* (non-Javadoc)
	 * @see org.eclipse.swt.dnd.Transfer#getTypeNames()
	 */
	@Override
	protected String[] getTypeNames() {
		return new String[] { TYPE_NAME };
	}

}
