// $Id$
/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.io.wizard;

import java.io.File;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.ui.IWorkbench;

import eu.etaxonomy.cdm.io.csv.caryophyllales.out.CsvNameExportConfigurator;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author k.luther
 * @created Apr. 12, 2015
 * @version 1.0
 */
public class CsvNameExportWizard extends AbstractExportWizard<CsvNameExportConfigurator> {

	protected CsvNameExportConfigurator configurator;
	protected ExportToFileDestinationWizardPage page;

	private final String description = "Export the names of the currently selected database into Semicolon Separated Value format.";
	/*
	 * (non-Javadoc)
	 *
	 * @see org.eclipse.ui.IWorkbenchWizard#init(org.eclipse.ui.IWorkbench,
	 * org.eclipse.jface.viewers.IStructuredSelection)
	 */
	@Override
	public void init(IWorkbench workbench, IStructuredSelection selection) {
		configurator = CsvNameExportConfigurator.NewInstance(null,null);
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see
	 * eu.etaxonomy.taxeditor.io.wizard.AbstractExportWizard#getConfigurator()
	 */
	@Override
	public CsvNameExportConfigurator getConfigurator() {
		return configurator;
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	@Override
	public boolean performFinish() {
		String urlString = page.getFolderText() + File.separator
				+ page.getExportFileName();

		final Combo combo = page.getCombo();
		
		configurator.setDestination(new File(urlString));

		CdmStore.getExportManager().run(configurator);

		return true;
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see eu.etaxonomy.taxeditor.io.wizard.AbstractExportWizard#addPages()
	 */
	@Override
	public void addPages() {
	    //TODO create page with drop down menu for export for single classification.
//		super.addPages();


		//standard page
		page =  ExportToFileDestinationWizardPage.CsvNames();

		addPage(page);
	}
}

