// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.io.wizard;

import java.io.File;
import java.net.URI;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.IWorkbench;

import eu.etaxonomy.cdm.io.jaxb.JaxbExportConfigurator;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * <p>JaxbExportWizard class.</p>
 *
 * @author n.hoffmann
 * @created 15.06.2009
 * @version 1.0
 */
public class JaxbExportWizard extends AbstractExportWizard<JaxbExportConfigurator> {

	private ExportToFileDestinationWizardPage page;

	private JaxbExportConfigurator configurator;

	/* (non-Javadoc)
	 * @see org.eclipse.ui.IWorkbenchWizard#init(org.eclipse.ui.IWorkbench, org.eclipse.jface.viewers.IStructuredSelection)
	 */
	/** {@inheritDoc} */
	public void init(IWorkbench workbench, IStructuredSelection selection) {
		this.setWindowTitle("JAXB Export");
		this.configurator = CdmStore.getExportManager().JaxbConfigurator();
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	/** {@inheritDoc} */
	@Override
	public boolean performFinish() {
		boolean performFinish = false;
		URI urlString;
		File savePath = new File(page.getFolderText() + File.separator + page.getExportFileName());
		urlString = savePath.toURI();
		//orig: urlString = new URI(page.getFolderText() + File.separator + page.getExportFileName());
		configurator.setDestination(urlString);
		CdmStore.getExportManager().run(configurator);
		performFinish = true;
		return performFinish;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#addPages()
	 */
	/** {@inheritDoc} */
	@Override
	public void addPages() {
		super.addPages();
				
		page = ExportToFileDestinationWizardPage.Jaxb();
		addPage(page);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.io.AbstractExportWizard#getConfigurator()
	 */
	/** {@inheritDoc} */
	@Override
	public JaxbExportConfigurator getConfigurator() {
		return configurator;
	}
	

}
