/**
 * 
 */
package eu.etaxonomy.taxeditor.labels;

import org.eclipse.swt.graphics.Image;

import eu.etaxonomy.cdm.model.name.NameRelationshipType;

/**
 * <p>ILabelImageStrategy interface.</p>
 *
 * @author p.ciardelli
 * @version $Id: $
 */
public interface ILabelImageStrategy {

	/**
	 * <p>getNameRelationTypeLabel</p>
	 *
	 * @param type a {@link eu.etaxonomy.cdm.model.name.NameRelationshipType} object.
	 * @return a {@link java.lang.String} object.
	 */
	String getNameRelationTypeLabel(NameRelationshipType type);
	
	/**
	 * <p>getNameRelationTypeInverseLabel</p>
	 *
	 * @param type a {@link eu.etaxonomy.cdm.model.name.NameRelationshipType} object.
	 * @return a {@link java.lang.String} object.
	 */
	String getNameRelationTypeInverseLabel(NameRelationshipType type);
	
	/**
	 * <p>getNameRelationTypeImage</p>
	 *
	 * @param type a {@link eu.etaxonomy.cdm.model.name.NameRelationshipType} object.
	 * @return a {@link org.eclipse.swt.graphics.Image} object.
	 */
	Image getNameRelationTypeImage(NameRelationshipType type);
	
	/**
	 * <p>getNameRelationTypeDescription</p>
	 *
	 * @param type a {@link eu.etaxonomy.cdm.model.name.NameRelationshipType} object.
	 * @return a {@link java.lang.String} object.
	 */
	String getNameRelationTypeDescription(NameRelationshipType type);
}
