// $Id$
/**
 * Copyright (C) 2014 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
package eu.etaxonomy.taxeditor.newWizard;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.molecular.Amplification;
import eu.etaxonomy.taxeditor.ui.element.AbstractCdmEntityWizardPage;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
import eu.etaxonomy.taxeditor.ui.section.occurrence.dna.AmplificationGeneralDetailElement;

/**
 * @author pplitzner
 * @date 11.03.2014
 *
 */
public class AmplificationGeneralWizardPage extends AbstractCdmEntityWizardPage<Amplification> {

    /**
     * @param formFactory
     * @param conversation
     * @param entity
     */
    public AmplificationGeneralWizardPage(CdmFormFactory formFactory,
            ConversationHolder conversation, Amplification entity) {
        super(formFactory, conversation, entity);
        setTitle("General Amplification Data");
    }

    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage#checkComplete()
     */
    @Override
    protected void checkComplete() {
        //TODO: check for institution, staff and date
        //one of them has to be set otherwise setPageComplete(false);
        setPageComplete(true);
    }

    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.forms.AbstractCdmEntityWizardPage#createElement(eu.etaxonomy.taxeditor.forms.ICdmFormElement)
     */
    @Override
    public AbstractCdmDetailElement<Amplification> createElement(ICdmFormElement rootElement) {
        AmplificationGeneralDetailElement detailElement = formFactory.createAmplificationGeneralDetailElement(rootElement);
        detailElement.setEntity(getEntity());
        checkComplete();
        return detailElement;
    }

}
