/**
 *
 */
package eu.etaxonomy.taxeditor.newWizard;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.description.PolytomousKey;
import eu.etaxonomy.taxeditor.ui.element.AbstractCdmEntityWizardPage;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
import eu.etaxonomy.taxeditor.ui.section.key.PolytomousKeyDetailElement;

/**
 * @author n.hoffmann
 *
 */
public class PolytomousKeyWizardPage extends AbstractCdmEntityWizardPage<PolytomousKey> {

	public PolytomousKeyWizardPage(CdmFormFactory formFactory,
			ConversationHolder conversation, PolytomousKey entity) {
		super(formFactory, conversation, entity);
	}

	@Override
	public AbstractCdmDetailElement createElement(ICdmFormElement rootElement) {
		PolytomousKeyDetailElement element = formFactory.createPolytomousKeyDetailElement(rootElement);
		element.setEntity(entity);
		setPageComplete(true);
		return element;
	}

	public String getPolytomousKeyName() {
	    return ((PolytomousKeyDetailElement) getDetailElement()).getText();
	}
}
