//$Id$

package eu.etaxonomy.taxeditor.ui.dialog.selection;

import java.util.ArrayList;
import java.util.EnumSet;

import org.eclipse.swt.widgets.Shell;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationType;
import eu.etaxonomy.taxeditor.newWizard.AbstractNewEntityWizard;

/**
* <p>OriginalSourceTypeSelectionDialog class.</p>
*
* @author c.mathew
* @created 18.07.2013
* @version 1.0
*/
public class SpecimenOrObservationTypeSelectionDialog extends
		AbstractFilteredCdmEnumSelectionDialog<SpecimenOrObservationType> {

	/**
	 * <p>select</p>
	 *
	 * @param shell a {@link org.eclipse.swt.widgets.Shell} object.
	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
	 * @return a {@link eu.etaxonomy.cdm.model.common.OriginalSourceType} object.
	 */
	public static SpecimenOrObservationType select(Shell shell, ConversationHolder conversation){
		SpecimenOrObservationTypeSelectionDialog dialog = 
				new SpecimenOrObservationTypeSelectionDialog(shell, 
						conversation,
						"Choose Specimen / Observation Type", 
						false, 
						SpecimenOrObservationTypeSelectionDialog.class.getCanonicalName());
		return getSelectionFromDialog(dialog);
	}
	
	/**
	 * <p>Constructor for FilteredDerivedUnitSelectionDialog.</p>
	 *
	 * @param shell a {@link org.eclipse.swt.widgets.Shell} object.
	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
	 * @param title a {@link java.lang.String} object.
	 * @param multi a boolean.
	 * @param settings a {@link java.lang.String} object.
	 */
	protected SpecimenOrObservationTypeSelectionDialog(Shell shell, 
			ConversationHolder conversation, 
			String title,
			boolean multi, 
			String settings) {
		super(shell, conversation, title, multi, settings, SpecimenOrObservationType.Unknown);
	}


	/** {@inheritDoc} */
	@Override
	protected void initModel() {
		model = new ArrayList<SpecimenOrObservationType>();
		model.addAll(EnumSet.allOf(SpecimenOrObservationType.class));		
	}

	/** {@inheritDoc} */
	@Override
	protected AbstractNewEntityWizard getNewEntityWizard(String parameter) {
		return null;
	}

	/** {@inheritDoc} */
	@Override
	protected String getNewWizardLinkText() {
		return null;
	}
}
