// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.element;

import org.eclipse.jface.util.PropertyChangeEvent;

/**
 * <p>CdmPropertyChangeEvent class.</p>
 *
 * @author n.hoffmann
 * @created Feb 24, 2010
 * @version 1.0
 */
public class CdmPropertyChangeEvent extends PropertyChangeEvent {
	/**
	 * 
	 */
	private static final long serialVersionUID = -1010152430827799277L;

	private Object originatingEvent;

	private Exception exception;

	/**
	 * <p>Getter for the field <code>originatingEvent</code>.</p>
	 *
	 * @return a {@link java.lang.Object} object.
	 */
	public Object getOriginatingEvent() {
		return originatingEvent;
	}

	/**
	 * <p>Constructor for CdmPropertyChangeEvent.</p>
	 *
	 * @param eventObject a {@link java.lang.Object} object.
	 * @param originatingEvent a {@link java.lang.Object} object.
	 */
	public CdmPropertyChangeEvent(Object eventObject, Object originatingEvent) {
		super(eventObject, "EMPTY", null, null);
		this.originatingEvent = originatingEvent;
	}
	
	/**
	 * <p>Constructor for CdmPropertyChangeEvent.</p>
	 *
	 * @param eventObject a {@link java.lang.Object} object.
	 * @param exception a {@link java.lang.Exception} object.
	 */
	public CdmPropertyChangeEvent(Object eventObject, Exception exception) {
		super(eventObject, "EMPTY", null, null);
		this.exception = exception;
	}

	/**
	 * <p>Setter for the field <code>exception</code>.</p>
	 *
	 * @param exception a {@link java.lang.Exception} object.
	 */
	public void setException(Exception exception) {
		this.exception = exception;
	}
	
	/**
	 * <p>Getter for the field <code>exception</code>.</p>
	 *
	 * @return a {@link java.lang.Exception} object.
	 */
	public Exception getException(){
		return exception;
	}
	
	/**
	 * <p>hasException</p>
	 *
	 * @return a boolean.
	 */
	public boolean hasException(){
		return exception != null;
	}
}
