// $Id$
/**
 * Copyright (C) 2014 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
package eu.etaxonomy.taxeditor.ui.element;

import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;

/**
 * @author pplitzner
 * @date 17.06.2014
 *
 */
public class OriginalLabelDataElement extends AbstractCdmDetailElement<DerivedUnitFacade> {

    private TextWithLabelElement textOriginalLabel;

    /**
     * @param formFactory
     * @param formElement
     */
    public OriginalLabelDataElement(CdmFormFactory formFactory,
            ICdmFormElement formElement) {
        super(formFactory, formElement);
    }

    /*
     * (non-Javadoc)
     *
     * @see
     * eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement#createControls
     * (eu.etaxonomy.taxeditor.forms.ICdmFormElement, java.lang.Object, int)
     */
    @Override
    protected void createControls(ICdmFormElement formElement,
            DerivedUnitFacade entity, int style) {
        textOriginalLabel = formFactory.createMultiLineTextWithLabel(formElement, "Original Label Info", 120, style);
        textOriginalLabel.setText(entity.getOriginalLabelInfo());
    }

    /*
     * (non-Javadoc)
     *
     * @see
     * eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement#handleEvent(java
     * .lang.Object)
     */
    @Override
    public void handleEvent(Object eventSource) {
        if(eventSource==textOriginalLabel){
            getEntity().setOriginalLabelInfo(textOriginalLabel.getText());
        }
    }

}
