// $Id$
/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.mvc.element;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.DisposeEvent;
import org.eclipse.swt.events.DisposeListener;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Text;
import org.eclipse.ui.forms.widgets.FormToolkit;
import org.eclipse.ui.forms.widgets.TableWrapData;
import org.eclipse.ui.forms.widgets.TableWrapLayout;

import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.mvc.AbstractCdmComposite;

/**
 * @author pplitzner
 * @date 11.02.2014
 *
 */
public class TextWithLabelElementMVC extends AbstractCdmComposite<TextWithLabelElementController> {

    private final FormToolkit toolkit = new FormToolkit(Display.getCurrent());
    private final Text text;
    private final String initialText;
    private final Integer textHeight;

    /**
     * Create the composite.
     * @param parent
     * @param style
     */
    public TextWithLabelElementMVC(Composite parent, String initialText, Integer textHeight, int style) {
        super(parent, SWT.BORDER);
        this.initialText = initialText;
        this.textHeight = textHeight;
        addDisposeListener(new DisposeListener() {
            @Override
            public void widgetDisposed(DisposeEvent e) {
                toolkit.dispose();
            }
        });
        toolkit.adapt(this);
        toolkit.paintBordersFor(this);
        {
            TableWrapLayout tableWrapLayout = new TableWrapLayout();
            tableWrapLayout.verticalSpacing = 0;
            tableWrapLayout.topMargin = 0;
            tableWrapLayout.horizontalSpacing = 0;
            tableWrapLayout.bottomMargin = 0;
            tableWrapLayout.rightMargin = 0;
            tableWrapLayout.leftMargin = 0;
            setLayout(tableWrapLayout);
        }

        text = new Text(this, SWT.WRAP);
        text.setLayoutData(new TableWrapData(TableWrapData.FILL_GRAB, TableWrapData.TOP, 1, 1));
        toolkit.adapt(text, true, true);

    }

    public Text getText() {
        return text;
    }

    @Override
    protected void initInternalController(CdmFormFactory formFactory, ICdmFormElement parentElement){
        controller = new TextWithLabelElementController(this, formFactory, parentElement, this.initialText, this.textHeight, SWT.NONE);
    }
}
