// $Id$
/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.section.common;

import eu.etaxonomy.cdm.model.common.ReferencedEntityBase;
import eu.etaxonomy.cdm.model.reference.Reference;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
import eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement;

/**
 * @author n.hoffmann
 * @date Dec 1, 2011
 *
 */
public class ReferenceEntityDetailElement extends AbstractCdmDetailElement<ReferencedEntityBase>{

	private EntitySelectionElement<Reference> selection_reference;
	private TextWithLabelElement text_referenceDetail;

	public ReferenceEntityDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement) {
		super(formFactory, formElement);
	}

	@Override
	protected void createControls(ICdmFormElement formElement,
			ReferencedEntityBase entity, int style) {
		selection_reference = formFactory
				.createSelectionElement(Reference.class,
						getConversationHolder(), formElement, "Reference",
						entity.getCitation(),
						EntitySelectionElement.ALL, style);
		text_referenceDetail = formFactory.createTextWithLabelElement(
				formElement, "Reference Detail",
				entity.getCitationMicroReference(), style);
	}

	@Override
	public void handleEvent(Object eventSource) {
		if (eventSource == selection_reference) {
			getEntity().setCitation(selection_reference.getSelection());
		} else if (eventSource == text_referenceDetail) {
			getEntity().setCitationMicroReference(
					text_referenceDetail.getText());
		}
	}

}
