/**
 *
 */
package eu.etaxonomy.taxeditor.ui.section.description.detail;

import java.util.ArrayList;

import org.eclipse.ui.forms.widgets.ExpandableComposite;

import eu.etaxonomy.cdm.model.common.TermType;
import eu.etaxonomy.cdm.model.description.MeasurementUnit;
import eu.etaxonomy.cdm.model.description.QuantitativeData;
import eu.etaxonomy.taxeditor.ui.combo.TermComboElement;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.element.LayoutConstants;
import eu.etaxonomy.taxeditor.ui.section.description.StatisticalMeasurementValueSection;

/**
 * <p>QuantitativeDataDetailElement class.</p>
 *
 * @author n.hoffmann
 * @version $Id: $
 */
public class QuantitativeDataDetailElement extends
		AbstractDetailedDescriptionDetailElement<QuantitativeData> {

	private TermComboElement<MeasurementUnit> comboMeasurementUnit;
	private StatisticalMeasurementValueSection section_statisticalMeasurementValues;

	/**
	 * <p>Constructor for QuantitativeDataDetailElement.</p>
	 *
	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.element.CdmFormFactory} object.
	 * @param formElement a {@link eu.etaxonomy.taxeditor.ui.element.ICdmFormElement} object.
	 * @param entity a {@link eu.etaxonomy.cdm.model.description.QuantitativeData} object.
	 * @param style a int.
	 */
	public QuantitativeDataDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement, QuantitativeData entity, int style) {
		super(formFactory, formElement, entity, style);
	}

	/** {@inheritDoc} */
	@Override
	protected void createControls(ICdmFormElement formElement,
			QuantitativeData entity, int style) {
		comboMeasurementUnit = formFactory.createDefinedTermComboElement(TermType.MeasurementUnit, formElement, "Measurement Unit", null, style);
        comboMeasurementUnit.setTerms(new ArrayList<MeasurementUnit>(entity.getFeature().getRecommendedMeasurementUnits()));
        comboMeasurementUnit.setSelection(entity.getUnit());
		section_statisticalMeasurementValues = formFactory.createStatisticalMeasurementValueSection(getConversationHolder(), formElement, ExpandableComposite.TWISTIE | ExpandableComposite.EXPANDED);
		section_statisticalMeasurementValues.setEntity(entity);
		section_statisticalMeasurementValues.setLayoutData(LayoutConstants.FILL_HORIZONTALLY(2, 1));
	}

	/** {@inheritDoc} */
	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == comboMeasurementUnit){
			getEntity().setUnit(comboMeasurementUnit.getSelection());
			comboMeasurementUnit.removeEmptyElement();
		}else if (eventSource == section_statisticalMeasurementValues){
			// FIXME
		}
	}

}
