/**
 *
 */
package eu.etaxonomy.taxeditor.ui.section.key;

import eu.etaxonomy.cdm.model.description.PolytomousKey;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.CdmPropertyChangeEvent;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.element.NumberWithLabelElement;
import eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;

/**
 * @author n.hoffmann
 *
 */
public class PolytomousKeyDetailElement extends
		AbstractCdmDetailElement<PolytomousKey> {

    private TextWithLabelElement textLabel;
    private NumberWithLabelElement numberStartNumber;

	public PolytomousKeyDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement) {
		super(formFactory, formElement);
	}

	@Override
	protected void createControls(ICdmFormElement formElement,
			PolytomousKey entity, int style) {
	    textLabel = formFactory.createTextWithLabelElement(formElement, "Title", entity.getTitleCache(), style);
	     numberStartNumber = formFactory.createNumberTextWithLabelElement(formElement, "Start Number", entity.getStartNumber(), style);
	}

	public String getText() {
	    return textLabel.getText();
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see
	 * eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement#handleEvent(java
	 * .lang.Object)
	 */
	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource==textLabel){
		    getEntity().setTitleCache(textLabel.getText(), true);
		}
		else if(eventSource==numberStartNumber){
		    getEntity().setStartNumber(numberStartNumber.getInteger());
		}
		firePropertyChangeEvent(new CdmPropertyChangeEvent(this, null));
	}
}
