// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.name;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.name.NonViralName;
import eu.etaxonomy.taxeditor.ui.element.AbstractCdmEntityWizardPage;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;

/**
 * <p>NonViralNameWizardPage class.</p>
 *
 * @author n.hoffmann
 * @created Jun 1, 2010
 * @version 1.0
 */
public class NonViralNameWizardPage extends AbstractCdmEntityWizardPage<NonViralName> {

	private NonViralNameDetailElement nameElement;

	/**
	 * <p>Constructor for NonViralNameWizardPage.</p>
	 *
	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.element.CdmFormFactory} object.
	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
	 * @param entity a {@link eu.etaxonomy.cdm.model.name.NonViralName} object.
	 */
	public NonViralNameWizardPage(CdmFormFactory formFactory, ConversationHolder conversation,
			NonViralName entity) {
		super(formFactory, conversation, entity);
		setTitle("Name");
	}

	/** {@inheritDoc} */
	@Override
	public AbstractCdmDetailElement<NonViralName> createElement(ICdmFormElement rootElement) {
		nameElement = formFactory.createNonViralNameDetailElement(rootElement);
		nameElement.setEntity(entity);
		return nameElement;
	}

	/** {@inheritDoc} */
	@Override
	public void dispose() {
		nameElement.removeElements();
		super.dispose();
	}
}
