// $Id$
/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.section.name;

import org.eclipse.jface.wizard.Wizard;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.api.conversation.IConversationEnabled;
import eu.etaxonomy.cdm.model.taxon.SynonymRelationship;
import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;

/**
 * @author pplitzner
 * @date 27.01.2014
 *
 */
public class SynonymRelationshipWizard  extends Wizard implements IConversationEnabled{

    private static SynonymRelationshipDetailSection callingSection;

    /**
     * <p>Constructor for NameRelationshipWizard.</p>
     *
     * @param callingSection a {@link eu.etaxonomy.taxeditor.ui.section.name.NameRelationshipDetailSection} object.
     */
    public SynonymRelationshipWizard(SynonymRelationshipDetailSection callingSection) {
        SynonymRelationshipWizard.callingSection = callingSection;
    }

    private SynonymRelationshipWizardPage page;

    /** {@inheritDoc} */
    @Override
    public void addPages() {
        page = new SynonymRelationshipWizardPage(callingSection);

        addPage(page);
    }

    /* (non-Javadoc)
     * @see org.eclipse.jface.wizard.Wizard#performFinish()
     */
    /** {@inheritDoc} */
    @Override
    public boolean performFinish() {
        return page.isPageComplete();
    }



    /**
     * <p>getNameRelationship</p>
     *
     * @return a {@link eu.etaxonomy.cdm.model.name.NameRelationship} object.
     */
    public SynonymRelationship getSynonymRelationship() {
        return page.getSynonymRelationship();
    }

    /**
     * <p>getConversationHolder</p>
     *
     * @return a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
     */
    @Override
    public ConversationHolder getConversationHolder() {
        return callingSection.getConversationHolder();
    }

    /** {@inheritDoc} */
    @Override
    public void update(CdmDataChangeMap changeEvents) {}
}
