// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.occurrence.derivedUnit;

import java.util.Collection;
import java.util.HashSet;
import java.util.Set;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
import eu.etaxonomy.cdm.model.occurrence.DeterminationEvent;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;

/**
 * @author n.hoffmann
 * @created May 11, 2011
 * @version 1.0
 */
public class PreservedSpecimenDeterminationHistoryDetailSection extends
PreservedSpecimenAbstractDeterminationEventDetailSection {

	/**
	 * @param formFactory
	 * @param conversation
	 * @param parentElement
	 * @param style
	 */
	public PreservedSpecimenDeterminationHistoryDetailSection(CdmFormFactory formFactory,
			ConversationHolder conversation, ICdmFormElement parentElement,
			int style) {
		super(formFactory, conversation, parentElement, "Determination History", style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection#getCollection(java.lang.Object)
	 */
	@Override
	public Collection<DeterminationEvent> getCollection(DerivedUnit entity) {
	    if(entity!=null){
	        Set<DeterminationEvent> events = entity.getDeterminations();
	        Set<DeterminationEvent> result = new HashSet<DeterminationEvent>();
	        for (DeterminationEvent event : events){
	            if (event.getPreferredFlag() != true){
	                result.add(event);
	            }
	        }
	        return result;
	    }
		return null;
	}

	@Override
	public void refresh() {
		internalUpdateSection(false);
	}


	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractEntityCollectionSection#getTooltipString()
	 */
	/** {@inheritDoc} */
	@Override
	protected String getTooltipString() {
		return "Add a determination event to the history";
	}

}
