// $Id$
/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.section.supplemental;

import eu.etaxonomy.cdm.model.common.CdmBase;
import eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.element.IEntityElement;
import eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement;

/**
 * @author l.morris
 * @date 24 Jan 2012
 *
 */
public class CdmBaseElement extends AbstractCdmFormElement implements IEntityElement<CdmBase>{

	private TextWithLabelElement text_uuid;
	private TextWithLabelElement text_objectId;
	private CdmBase entity;
	/**
	 * @param formFactory
	 * @param formElement
	 */
	public CdmBaseElement(CdmFormFactory formFactory,
			ICdmFormElement formElement, CdmBase entity, int style) {
		
		super(formFactory, formElement);
		text_uuid = formFactory.createTextWithLabelElement(formElement, "UUID", null, style);		
		text_objectId = formFactory.createTextWithLabelElement(formElement, "Object ID", null, style);
		setEntity(entity);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.element.ISelectable#setSelected(boolean)
	 */
	@Override
	public void setSelected(boolean selected) {
		// this entity element is not likely to get selected
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.element.IEntityElement#getEntity()
	 */
	@Override
	public CdmBase getEntity() {
		return entity;
	}

	
	public void setEntity(CdmBase entity) {
		
		this.entity = entity;			
		
		text_uuid.setText(entity != null ? entity.getUuid().toString() : "");	
		text_objectId.setText(entity != null ? entity.getId()+"" : "");
	}
}
