// $Id$
/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.section.supplemental;

import eu.etaxonomy.cdm.model.common.CdmBase;
import eu.etaxonomy.taxeditor.ui.element.AbstractFormSection;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;

/**
 * @author l.morris
 * @date 24 Jan 2012
 *
 */
public class CdmBaseSection extends AbstractFormSection<CdmBase> {
	
	private CdmBaseElement cdmBaseElement;

	/**
	 * @param formFactory
	 * @param parentElement
	 * @param selectionProvider
	 * @param style
	 */
	public CdmBaseSection(CdmFormFactory formFactory,
			ICdmFormElement parentElement,
			int style) {

		super(formFactory, parentElement, style);
		cdmBaseElement = formFactory.createCdmBaseElement(this, null, style);
	}
	
	/** {@inheritDoc} */
	@Override
	public void setEntity(CdmBase entity) {
		super.setEntity(entity);
		cdmBaseElement.setEntity(entity);
	}

}
