/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.section.supplemental;

import java.util.Collection;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.Extension;
import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;

/**
 * <p>ExtensionSection class.</p>
 *
 * @author nho
 * @version $Id: $
 */
public class ExtensionSection extends AbstractEntityCollectionSection<IdentifiableEntity, Extension> {

	/**
	 * <p>Constructor for ExtensionSection.</p>
	 *
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.element.ICdmFormElement} object.
	 * @param style a int.
	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.element.CdmFormFactory} object.
	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
	 */
	public ExtensionSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation,parentElement, "Extensions", style);
	}

	/** {@inheritDoc} */
	@Override
	public Extension createNewElement() {
		return Extension.NewInstance();
	}

	/** {@inheritDoc} */
	@Override
	public Collection<Extension> getCollection(IdentifiableEntity entity) {
		return entity.getExtensions();
	}

	/** {@inheritDoc} */
	@Override
	public String getEmptyString() {
		return "No extensions yet.";
	}

	/** {@inheritDoc} */
	@Override
	protected String getTooltipString() {
		return "Create a new extension";
	}


	/** {@inheritDoc} */
	@Override
	public void addElement(Extension element) {
		getEntity().addExtension(element);
	}


	/** {@inheritDoc} */
	@Override
	public void removeElement(Extension element) {
		getEntity().removeExtension(element);
	}

}
