/**
 *
 */
package eu.etaxonomy.taxeditor.ui.section.supplemental;

import org.eclipse.swt.events.SelectionListener;

import eu.etaxonomy.cdm.model.common.IdentifiableSource;
import eu.etaxonomy.taxeditor.ui.element.AbstractFormSection;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;

/**
 * @author n.hoffmann
 * @created Nov 16, 2009
 * @version 1.0
 */
public class IdentifiableSourceElement extends AbstractOriginalSourceElement<IdentifiableSource>{

	public IdentifiableSourceElement(CdmFormFactory cdmFormFactory, AbstractFormSection formElement, IdentifiableSource element,
			SelectionListener removeListener, int style) {
		super(cdmFormFactory, formElement, element, removeListener, style);
	}

	/** {@inheritDoc} */
	@Override
	public void createControls(ICdmFormElement formElement, int style) {
		super.createControls(formElement, style);
	}

	/** {@inheritDoc} */
	@Override
	public void setEntity(IdentifiableSource entity) {
		super.setEntity(entity);
		text_idInSource.setText(entity.getIdInSource());
		text_idNamespace.setText(entity.getIdNamespace());

		selection_reference.setEntity(entity.getCitation());
		text_referenceDetail.setText(entity.getCitationMicroReference());
		combo_origsourcetype.setSelection(entity.getType());
		text_originaleNameString.setText(entity.getOriginalNameString());
	}

	/** {@inheritDoc} */
	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == text_idInSource){
			getEntity().setIdInSource(text_idInSource.getText());
		}
		else if(eventSource == text_idNamespace){
			getEntity().setIdNamespace(text_idNamespace.getText());
		}
		if(eventSource == selection_reference){
			getEntity().setCitation(selection_reference.getSelection());
		}
		else if(eventSource == text_referenceDetail){
			getEntity().setCitationMicroReference(text_referenceDetail.getText());
		}
		else if(eventSource == text_originaleNameString){
			getEntity().setOriginalNameString(text_originaleNameString.getText());
		} else if(eventSource == combo_origsourcetype){
			getEntity().setType(combo_origsourcetype.getSelection());
		}
	}
}
