/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.section.user;

import java.util.Collection;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.Group;
import eu.etaxonomy.cdm.model.common.User;
import eu.etaxonomy.taxeditor.ui.dialog.selection.GroupSelectionDialog;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;

/**
 * @author n.hoffmann
 *
 */
public class GroupsByUserDetailSection extends AbstractEntityCollectionSection<User, Group> {

	/**
	 * @param formFactory
	 * @param conversation
	 * @param parentElement
	 * @param title
	 * @param style
	 */
	public GroupsByUserDetailSection(CdmFormFactory formFactory,
			ConversationHolder conversation, ICdmFormElement parentElement,
			int style) {
		super(formFactory, conversation, parentElement, "Groups", style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection#getCollection(java.lang.Object)
	 */
	@Override
	public Collection<Group> getCollection(User entity) {
		return entity.getGroups();
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection#createNewElement()
	 */
	@Override
	public Group createNewElement() {
		Group selectedGroup = GroupSelectionDialog.select(getShell(), getConversationHolder(), null);
		return selectedGroup;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection#addElement(java.lang.Object)
	 */
	@Override
	public void addElement(Group element) {
		element.addMember(getEntity());
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection#removeElement(java.lang.Object)
	 */
	@Override
	public void removeElement(Group element) {
		element.removeMember(getEntity());
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection#getEmptyString()
	 */
	@Override
	public String getEmptyString() {
		return "No groups yet.";
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection#getTooltipString()
	 */
	@Override
	protected String getTooltipString() {
		return "Add this user to a group";
	}
	
}
