// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.translation;

import java.util.Map;

import org.eclipse.jface.wizard.Wizard;

import eu.etaxonomy.cdm.model.common.Language;
import eu.etaxonomy.cdm.model.common.LanguageString;

/**
 * <p>TranslationWizard class.</p>
 *
 * @author n.hoffmann
 * @created Sep 29, 2010
 * @version 1.0
 */
public class TranslationWizard extends Wizard {

	private TranslationWizardPage page;
	
	private Map<Language, LanguageString> multilanguageText;
	
	/**
	 * <p>Constructor for TranslationWizard.</p>
	 *
	 * @param multilanguageText a {@link java.util.Map} object.
	 */
	public TranslationWizard(Map<Language, LanguageString> multilanguageText) {
		setWindowTitle("Translation Editor");
		this.multilanguageText = multilanguageText;
		setNeedsProgressMonitor(true);
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#addPages()
	 */
	/** {@inheritDoc} */
	@Override
	public void addPages() {
		page = new TranslationWizardPage(multilanguageText);
		addPage(page);
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	/** {@inheritDoc} */
	@Override
	public boolean performFinish() {
		LanguageString languageString = page.getTargetLanguageString();
		
		if (!languageString.getText().equals("")) {
			multilanguageText.put(languageString.getLanguage(), languageString);
		}
		
		return true;
	}
	
	
}
