// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.view.datasource.handler;

import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.handlers.HandlerUtil;

import eu.etaxonomy.taxeditor.datasource.wizard.CdmDataSourceWizard;

/**
 * <p>CreateDataSourceHandler class.</p>
 *
 * @author n.hoffmann
 * @created 15.04.2009
 * @version 1.0
 */
public class CreateDataSourceHandler extends AbstractDataSourceHandler {

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.store.datasource.handler.AbstractDataSourceHandler#specificExecute(org.eclipse.core.commands.ExecutionEvent)
	 */
	/** {@inheritDoc} */
	@Override
	public boolean specificExecute(ExecutionEvent event) {
		Shell shell = HandlerUtil.getActiveShell(event);
		CdmDataSourceWizard wizard = new CdmDataSourceWizard(); 
		
		WizardDialog dialog = new WizardDialog(shell, wizard);
	    		
		return dialog.open() == IStatus.OK;
	}
}
